-- Naval Unit Changes
-- Author: Olleus
-- DateCreated: 8/23/2017 
--------------------------------------------------------------

UPDATE Units		-- 28 (m3)
	SET Combat = Combat + 3
	WHERE UnitType = "UNIT_GALLEY" -- Also Barbarian Raider and Longship
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_GALLEY");

UPDATE Units		--24/30 (r1m2)
	SET RangedCombat = RangedCombat - 1 + 10, Combat = Combat + 10, BaseMoves = BaseMoves - 1
	WHERE UnitType = "UNIT_QUADRIREME"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_QUADRIREME");



UPDATE Units		--52 (m4s3)
	SET Combat = Combat + 2
	WHERE UnitType = "UNIT_CARAVEL"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_CARAVEL");

UPDATE Units		--52/42 (r1m4)
	SET RangedCombat = RangedCombat + 2, Combat = Combat + 2, Range = Range - 1
	WHERE UnitType = "UNIT_PRIVATEER" -- Also Sea Dog
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_PRIVATEER");

UPDATE Units		--42/48 (r2m4)
	SET RangedCombat = RangedCombat - 13 + 10, Combat = Combat + 3, Cost = Cost + 30
	WHERE UnitType = "UNIT_FRIGATE" -- Also Jong
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_FRIGATE");

UPDATE Units		-- Frigate only, UUs should not have new resources
	SET StrategicResource = "RESOURCE_NITER"
	WHERE UnitType = "UNIT_FRIGATE";

UPDATE Units		--64 (m5s3)
	SET Combat = Combat + 4
	WHERE UnitType = "UNIT_IRONCLAD"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_IRONCLAD");


UPDATE Units		--70/60 (r1m5)
	SET RangedCombat = RangedCombat - 5, Combat = Combat - 5, Range = Range - 1,
		Cost = Cost - 50, BaseMoves = BaseMoves + 2, ZoneOfControl = 1
	WHERE UnitType = "UNIT_SUBMARINE" -- Also U-boat
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_SUBMARINE");

UPDATE Units		--60/66 (r3m5)
	SET RangedCombat = RangedCombat - 10 + 10, Combat = Combat + 6,
		Cost = Cost + 50, Maintenance = Maintenance + 2
	WHERE UnitType = "UNIT_BATTLESHIP" -- Also Minas Geraes
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_BATTLESHIP");


UPDATE Units		--82 (m6s3)
	SET Combat = Combat + 2, AntiAirCombat = 0,
		BaseSightRange = BaseSightRange + 1, BaseMoves = BaseMoves + 2
	WHERE UnitType = "UNIT_DESTROYER"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_DESTROYER");

DELETE FROM TypeTags
	WHERE Tag = "CLASS_ANTI_AIR"
	AND (Type = "UNIT_DESTROYER" OR Type IN (SELECT CivUniqueUnitType FROM UnitReplaces
											 WHERE ReplacesUnitType="UNIT_DESTROYER"));

UPDATE Units		--65 (m5)
	SET BaseMoves = BaseMoves + 2
	WHERE UnitType = "UNIT_AIRCRAFT_CARRIER"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_AIRCRAFT_CARRIER");


UPDATE Units		--88/78 (r1m6)
	SET RangedCombat = RangedCombat + 3, Combat = Combat - 2, Range = Range - 1,
		Cost = Cost - 50, BaseMoves = BaseMoves + 2, ZoneOfControl = 1
	WHERE UnitType = "UNIT_NUCLEAR_SUBMARINE"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_NUCLEAR_SUBMARINEE");

UPDATE Units		--78/84 (r3m5)
	SET RangedCombat = RangedCombat - 7 + 10, Combat = Combat + 14,
		BaseMoves = BaseMoves + 1, BaseSightRange = BaseSightRange - 1,
		Cost = Cost + 30, Maintenance = Maintenance + 4
	WHERE UnitType = "UNIT_MISSILE_CRUISER"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_MISSILE_CRUISER");

UPDATE Units		-- Missile cruiser only, UUs should not have resources
	SET StrategicResource = "RESOURCE_ALUMINUM"
	WHERE UnitType = "UNIT_MISSILE_CRUISER";


UPDATE Units
	SET BaseMoves = BaseMoves + 1
	WHERE UnitType = "UNIT_GREAT_ADMIRAL"
		OR UnitType IN (SELECT CivUniqueUnitType FROM UnitReplaces
						WHERE ReplacesUnitType="UNIT_GREAT_ADMIRAL");


-- Give PROMOTION_CLASS_NAVAL_RANGED a class unique to them
-- Used to give flat penalty when attacking to counteract immortal bug
INSERT INTO TypeTags (Type, Tag)
	SELECT Units.UnitType, "8AOW_CLASS_TRUE_NAVAL_RANGED"
	FROM Units
	WHERE Units.PromotionClass = "PROMOTION_CLASS_NAVAL_RANGED";
	